Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

List database runs

Returns the database’s deployment runs, a page at a time.

GET/project/{project_id}/environment/{environment_id}/database/{database_id}/runs
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
project_iduuidrequired

The unique identifier for the project

environment_iduuidrequired

The unique identifier of the environment

database_iduuidrequired

Unique identifier of the database.

Query parameters
actionstring

Filter component runs by action.

Allowed:deploy
triggerstring

Filter component runs by trigger source.

Allowed:manualpushpipeline
statuscomponent_deployment_state

Filter component runs by deployment status.

Allowed:QUEUEDSCHEDULEDRUNNINGRETRYINGSUCCEEDEDFAILEDCANCELEDTIMED_OUTSKIPPEDNONE
created_afterstring<date-time>

Filter component runs created at or after this timestamp.

created_beforestring<date-time>

Filter component runs created at or before this timestamp.

page[limit]integer

Maximum number of records to return

min 1 · max 100 · default: 10
page[number]integer

Page number

min 1 · default: 1
Responses
200

Database runs retrieved successfully

recordscomponent_run[]required
Show properties
Array of component_run
iduuidrequired

A universally unique identifier (UUID) string

organization_iduuidrequired

A universally unique identifier (UUID) string

project_iduuidrequired

A universally unique identifier (UUID) string

environment_iduuidrequired

A universally unique identifier (UUID) string

component_iduuidrequired

A universally unique identifier (UUID) string

component_kindcomponent_kindrequired

Component kind for component-scoped variables

Allowed:KjobKApplicationKHelmKDatabase
component_namestringrequired
component_sidstringrequired
actionstringrequired
Allowed:deploy
triggerstringrequired
Allowed:manualpushpipeline
statuscomponent_deployment_staterequired

Deployment state for a component resource.

Allowed:QUEUEDSCHEDULEDRUNNINGRETRYINGSUCCEEDEDFAILEDCANCELEDTIMED_OUTSKIPPEDNONE
pipeline_contextcomponent_run_pipeline_context | null
Show properties
Any of:
component_run_pipeline_context
pipeline_iduuidrequired

A universally unique identifier (UUID) string

pipeline_run_iduuidrequired

A universally unique identifier (UUID) string

stage_run_iduuidrequired

A universally unique identifier (UUID) string

pipeline_component_run_iduuidrequired

A universally unique identifier (UUID) string

stage_component_iduuidrequired

A universally unique identifier (UUID) string

requiredbooleanrequired
timeout_secondsinteger | null
null
null
github_buildcomponent_run_github_build | null
Show properties
Any of:
component_run_github_build
installation_iduuidrequired

A universally unique identifier (UUID) string

repository_idstringrequired

GitHub repository database ID encoded as a decimal string.

matches ^[1-9][0-9]*$
repository_full_namestringrequired
branchstringrequired
commit_shastringrequired
matches ^[0-9a-f]{40}$
triggerstringrequired
Allowed:manualpushpipeline
image_referencestring | null

Final tagged OCI image reference when artifact production completed.

image_tagstring | null

Final run-scoped OCI tag when artifact production completed.

index_digeststring | null

Verified final OCI image index digest when available.

platformsstring[]required
null
null
workflow_idstring | null
workflow_run_iduuid | null
Show properties
Any of:
uuid
string<uuid>
null
null
started_atstring<date-time> | null
finished_atstring<date-time> | null
messagestring | null
created_atstring<date-time>required
updated_atstring<date-time>required
paginationpagination_metarequired

Pagination metadata object containing information about the current page, total records, and navigation details for paginated API responses

Show properties
total_recordsintegerrequired

Total number of records available

current_pageintegerrequired

Current page number

total_pagesintegerrequired

Total number of pages available

next_pageinteger | nullrequired

Next page number, null if no next page exists

prev_pageinteger | nullrequired

Previous page number, null if no previous page exists

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X GET 'https://api.kapten.io/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment/497f6eca-6276-4993-bfeb-53cbbbba6f08/database/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "records": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
      "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",
      "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",
      "component_kind": "Kjob",
      "component_name": "string",
      "component_sid": "string",
      "action": "deploy",
      "trigger": "manual",
      "status": "QUEUED",
      "pipeline_context": {
        "pipeline_id": "ec036e81-7903-4e4d-bbfa-ac8516341cf0",
        "pipeline_run_id": "54f73fac-6036-4081-9795-457321f22c71",
        "stage_run_id": "c6c7d692-4cdb-4e1f-9d55-db374c0d6d91",
        "pipeline_component_run_id": "63b3c0d9-c480-488a-860f-86e87cc881ec",
        "stage_component_id": "72d6951a-769e-47ac-a30e-c5b161d3f1fd",
        "required": true,
        "timeout_seconds": 0
      },
      "github_build": {
        "installation_id": "91166175-c6a9-4caf-88e9-3147ffc9c934",
        "repository_id": "string",
        "repository_full_name": "string",
        "branch": "string",
        "commit_sha": "string",
        "trigger": "manual",
        "image_reference": "string",
        "image_tag": "string",
        "index_digest": "string",
        "platforms": [
          "linux/amd64"
        ]
      },
      "workflow_id": "string",
      "workflow_run_id": "5e5ef678-2347-491b-a579-798b0d4ed952",
      "started_at": "2019-08-24T14:15:22Z",
      "finished_at": "2019-08-24T14:15:22Z",
      "message": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "total_records": 100,
    "current_page": 1,
    "total_pages": 10,
    "next_page": 2,
    "prev_page": null
  }
}

Was this page helpful?